package bmci.esign.backendend.controllers;


import bmci.esign.backendend.dto.DestinataireDto;
import bmci.esign.backendend.models.ResponseModelStandard;
import bmci.esign.backendend.services.DestinataireService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/destinataire")
public class DestinataireController {

    @Autowired
    private DestinataireService destinataireService;


    @PostMapping("/addAll")
    public ResponseModelStandard<Long> addAllDestinataire(@RequestBody List<DestinataireDto> destinataireDtos){
        List<DestinataireDto> list = destinataireService.addAll(destinataireDtos);
        return new ResponseModelStandard<>("000");
    }

    @PostMapping("/add")
    public ResponseModelStandard<Long> addDestinataire(@RequestBody DestinataireDto destinataireDto){
        DestinataireDto destinataire = destinataireService.addDestinataire(destinataireDto);
        return new ResponseModelStandard<>("000");
    }

    @GetMapping("/get")
    public ResponseModelStandard<List<DestinataireDto>> findAllByDemandeId(@RequestParam(name = "id") Long id){
        List<DestinataireDto> destinataireDtos = destinataireService.findAllByDemandeId(id);
        return new ResponseModelStandard<>("000", destinataireDtos);
    }








}
